Hoppa till huvudinnehåll

Den här webbläsaren stöds inte längre.

Uppgradera till Microsoft Edge och dra nytta av de senaste funktionerna och säkerhetsuppdateringarna, samt teknisk support.

Ladda ned Microsoft Edge Mer information om Internet Explorer och Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Create a session

POST /agents/{agent_name}/endpoint/sessions

Creates a new session for an agent endpoint. The endpoint resolves the backing agent version from version_indicator and enforces session ownership using the provided user identity for session-mutating operations.

Sökvägsparametrar

agent_name string krävs

The name of the agent to create a session for.

Frågeparametrar

api-version string krävs

The API version to use for this operation.

Begärandetext

Content-Type: application/json
agent_session_id string

Optional caller-provided session ID. If specified, it must be unique within the agent endpoint. Auto-generated if omitted.

version_indicator version_ref krävs

Version indicator determining which agent version backs the session.

Något av följande:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum krävs

Discriminator value for version_ref.

version_ref
agent_version string krävs

The agent version identifier returned by the agent version APIs.

Svar

The request has succeeded and a new resource has been created as a result.

Brödtext

Content-Type: application/json
agent_session_id string krävs

The session identifier.

version_indicator version_ref krävs

Version indicator determining which agent version backs the session.

Något av följande:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum krävs

Discriminator value for version_ref.

version_ref
agent_version string krävs

The agent version identifier returned by the agent version APIs.

status string | enum krävs

The status of an agent session.

Något av följande:
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer krävs

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer krävs

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer krävs

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

Brödtext

Content-Type: application/json
error OpenAI.Error krävs
code string | null krävs
message string krävs
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Något av följande:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string krävs

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Brödtext

Content-Type: application/json
error OpenAI.Error krävs
code string | null krävs
message string krävs
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Något av följande:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string krävs

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Förfrågan

POST /agents/{agent_name}/endpoint/sessions HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
sv-se
Dina sekretessalternativ
  • Ansvarsfriskrivning för AI
  • Tidigare versioner
  • Blogg
  • Bidra
  • Sekretess
  • Konsumenthälsans integritet
  • Användningsvillkor
  • Varumärken
  • © Microsoft 2026